/**
* Во имя Отца и Сына и Святаго Духа. Аминь.
*
* @format
*/



:root {
	--kino-var: #e34234;
	--sizeDate-var: 1.1em;
	--alink-var: #6b6b6b;
	--blink-var: #860000;
	--fontEvng-var: Evangeliecs;
	--fontSize-H1: 1.7em;
}


blockquote {
	border-left: 3.2em solid #e9e2da;
	border-right: 0.1999999999999993em solid #e9e2da;
	padding: 0em 1em 0em 3em;
	border-radius: 20%;
	background: #fcf9ffcc;
	margin-bottom: 2em;
}

body {

	margin: 3em;
	padding-bottom: 12px;
	color: #775738;
	font-size: 27px;
	/* Created with https://www.css-gradient.com */
	/* background: -webkit-linear-gradient(top, #fffbf6, #fff9ec); */
	/* background: -moz-linear-gradient(top, #fffbf6, #fff9ec); */
	/* background: linear-gradient(to bottom, #fffbf6, #fff9ec); */
}

.markdown-body {
	margin: auto;
	display: flex;
	flex-direction: column;
	width: 77%;
}


img#search-target-img {
	width: 1.2em;
	transform: rotate(0deg);
}


.navi-item {
	float: left;
	background: #ececec;
	padding: 0.3em;
	margin: 0em 0em -0.3em 0.3em;
	border-radius: 0.2em;
	transition: background 0.7s, transform 0.7s;
	box-shadow: inset 0px -2px 0px 0px #714d4d38;
}

.navi-item:nth-child(odd) {
	transform: rotate(-5deg);
	color: red;
}

.navi-item:hover {
	/* 	padding: .5em 1em; */
	/* 		margin: 0em 0em -.5em .3em; */
	background: #ecdbbe;
	color: #fff;
	/* border-radius: 0.3em; */
	transform: rotate(9deg);
}

.navi-hidden {
	transform: translateY(-110%);
	transition: 1s;
}

nav {
	/* 	height: 1.7em; */
	padding: 15px 2px 22px 0px;
}

pre {
	overflow: auto;
	padding: 0.5rem 1rem 0.8rem 2rem;
	background-color: #d2d2d229;
	font-size: 1.1em;
}

code {
	font-size: 0.9em;
	color: #96719c;
	overflow-wrap: break-word;
}

strong {
	color: #b8860b;
}

table {
	overflow: auto;
	font-size: 1.1em;
	color: #99769c;
	padding: 1.5%;
	transform: rotate(0deg);
	box-shadow: 0px 0px 4em #f9000021;
	margin-bottom: 2em;
	/* border-radius: 0.3em; */
	/*! background: #fff0f0; */ /*! border-left: 22px solid #fff; */ /*! border-right: 22px solid #fff; */
	/*! font-family: monospace; */
	border-radius: 37% 32%;
	padding-bottom: 1.5em;
}

td {
	padding: 1rem 1rem;
}

td:nth-child(2n-1) {
	/* color:red; */
	padding: 1rem 4rem;
}

td > code {
	color: #575757;
	padding: 0.5rem;
}

thead {
	color: #6d5b6c;
}

h1:first-child {
  font-size: 0.9em;
	transform: rotate(0deg);
text-transform: lowercase;
}

h1 {
	font-size: var(--fontSize-H1);
	text-transform: uppercase;
	overflow-wrap: break-word;
	transform: rotate(358deg);
}

h1::first-letter {
	color: #d62b2b;
	font-size: 1.7em;
}

p {
	font-size: 1.2em;
}

p::first-letter {
	color: #f65920;
}

h2 {
	font-size: 1.4em;
	text-transform: uppercase;
	overflow-wrap: break-word;
}

h2::first-letter {
	font-size: 1.6em;
	color: #ff9800;
	/* line-height: 2px; */
	padding-top: 22px;
}

h3 {
	font-size: 1.4em;
	transform: rotate(359deg);
	color: #696969;
}

a:link {
	color: #604c11;
	text-decoration-line: none;
	/* list-style-type: circle; */
}

a:visited {
	color: #635425;
	text-decoration-line: none;
	/* list-style-type: circle; */
}

a:hover {
	color: rgba(115, 0, 0, 0.467);
}


img {
	width: 45%;
	height: auto;
	display: block;
	/* margin-left: auto;
margin-right: auto; */
	transform: rotate(-2deg);
	filter: drop-shadow(0px 22px 10px #ccc5);
	cursor: pointer;
}

ul {
	overflow: hidden;
	margin-left: 11px;
}

li {
	list-style-type: none;
	font-size: 1.1em;
	padding: 1px 22px 0.7em 0px;
}



/* ===============@media====================== */
@media (max-width: 425px) and (orientation: portrait) {
	.markdown-body {
		width: 97%;
	}

	h1:first-child {
		display: none;
	}

	.navi-item {
		font-size: 4em;
		float: left;
		padding: 0.6em;
		margin: 0.3em;
	}
}

@media (max-width: 767px) and (orientation: portrait) {
	img {
		width: 99%;
	}

	.navi {
		position: sticky;
		background: linear-gradient(180deg, #8563 1%, #fffbf6 3%);
	}
}

@media (max-width: 767px) {
	.markdown-body {
		width: 95%;
	}

	h1 {
		font-size: 1.4em;
	}

	h2 {
		font-size: 1.2em;
		overflow-wrap: break-word;
	}

	h3 {
		font-size: 1em;
	}

	body {
		font-size: 18px;
		padding: 0px 7px 0px 7px;
		margin: 0;
	}

	blockquote {
		margin-right: 2px;
		margin-left: 2px;
		border-left: 0.2em solid #e9e2da;
		border-right: 0.2em solid #e9e2da;
		padding: 0em 1.5em 0em 1.5em;
		border-radius: 15%;
		background-color: #fffdfa;
	}

	.navi {
		position: relative;
		background: linear-gradient(180deg, #8563 1%, #fffbf6 3%);
	}

	/* 	меняем местами .navi с <H1> */
	H1:nth-child(odd) {
		order: -1;
	}

	.navi-item {
		font-size: 1.2rem;
		float: left;
		padding: 0.6em;
		margin: 0.3em;
		transition: transform 0.5s;
	}

	nav {
		padding-left: 3px;
		padding-right: 0px;
	}

	ol,
	ul {
		padding-inline-start: 19px;
	}

	td:nth-child(2n-1) {
		/* color:red; */
		padding: 0.1em 0.1em;
	}

	td > code {
		color: #575757;
		padding: 0.1rem;
	}
}

@media (max-width: 1024px) {
	.markdown-body {
		width: 97%;
	}

	blockquote {
		margin-right: 2px;
		margin-left: 2px;
		border-left: 1em solid #e9e2da;
		border-right: 0.2em solid #e9e2da;
		padding: 0em 1.5em 0em 1.5em;
		border-radius: 15%;
		background-color: #fffdfa;
	}

	table.gsc-search-box td.gsc-input {
		padding-left: 0.7em;
	}
}